Bug 1072359 - obs-service-set_version has UTF8/Unicode problem at build-time
obs-service-set_version has UTF8/Unicode problem at build-time
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Frank Schreiner
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-12 10:33 UTC by Frank Schreiner
Modified: 2019-03-12 13:15 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Schreiner 2017-12-12 10:33:56 UTC
The following error occurs when running set_version while buildtime

##################################################################################
[   41s] Compressed rawspeed-v3.0~git1624.e8ad6e3b.tar to rawspeed-v3.0~git1624.e8ad6e3b.tar.xz
[   41s] /usr/lib/obs/service/set_version:32: RuntimeWarning: install 'packaging' to improve python package versions
[   41s]   RuntimeWarning)
[   41s] Traceback (most recent call last):
[   41s]   File "/usr/lib/obs/service/set_version", line 335, in <module>
[   41s]     add_if_missing=False)
[   41s]   File "/usr/lib/obs/service/set_version", line 181, in _replace_define
[   41s]     contents = f.read()
[   41s]   File "/usr/lib64/python3.6/encodings/ascii.py", line 26, in decode
[   41s]     return codecs.ascii_decode(input, self.errors)[0]
[   41s] UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 1301: ordinal not in range(128)
[   41s] service run failed for service 'set_version'
[   41s] 
[   41s] wildcard2 failed "build rawspeed.spec" at Mon Dec 11 17:27:35 UTC 2017.
##################################################################################

fix already provided in:
https://github.com/openSUSE/obs-service-set_version/commit/b2927f1189a8e9c76267e391dbb2e93d63733654
Comment 2 Swamp Workflow Management 2017-12-14 07:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1072359) was mentioned in
https://build.opensuse.org/request/show/556868 42.2 / obs-service-set_version
Comment 3 Swamp Workflow Management 2017-12-14 20:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1072359) was mentioned in
https://build.opensuse.org/request/show/557147 42.2+42.3 / obs-service-set_version
Comment 4 Swamp Workflow Management 2017-12-21 14:08:39 UTC
openSUSE-RU-2017:3395-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1072359
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    obs-service-set_version-0.5.8-8.1
openSUSE Leap 42.2 (src):    obs-service-set_version-0.5.8-5.6.1
Comment 5 Frank Schreiner 2018-06-11 23:34:24 UTC
fix already released